# Generate an Orders Report (Deprecated) This API endpoint is deprecated and will be removed in a future release. Returns a report with detailed information about the orders of a given day at a specified location. Requires an API token with the "Reporting" scope. The base rate limit of an organization with one location is 75 requests per 10 minutes. Endpoint: POST /v2/reporting/orders/day Version: v2 Security: BearerAuthApiTokenSecurityScheme ## Header parameters: - `x-md-api-version` (string, required) Enum: "4" ## Request fields (application/json): - `locationId` (string, required) The Bite ID of the location. - `date` (string, required) The date of the orders to retrieve in a YYYY-MM-DD format Example: "2023-07-21" - `page` (integer) Example: 1 - `limit` (integer) Example: 25 ## Response 200 fields (application/json): - `success` (boolean, required) - `data` (array, required) - `data.createTime` (string, required) The ISO time of order creation with timezone offset. - `data.orgName` (string, required) The name of the org at which the customer placed the order. - `data.orgId` (string, required) The ID of the org at which the customer placed the order. - `data.siteName` (string, required) The name of the site at which the customer placed the order. - `data.siteId` (string, required) The ID of the site at which the customer placed the order. - `data.locationId` (string, required) The ID of the location (in the specified org) at which the customer placed the order. - `data.orderChannel` (string, required) Denotes the ordering channel through which orders are placed: * catering - Catering Website * flash - Contactless (QR-code) * kiosk - Kiosk * linebuster - Linebuster * web - Online Ordering Website Enum: "catering", "flash", "kiosk", "linebuster", "web" - `data.diningOption` (string, required) The name of the dining option with which the customer placed the order. - `data.source` (string, required) Whether the order was made from a kiosk, mobile, or desktop browser. - `data.orderId` (string, required) The Bite ID of the order. - `data.checkIds` (array, required) The IDs of the check from POS integrations. - `data.checkIds.value` (string, required) The check ID value. - `data.checkIds.name` (string, required) The name of the check ID. ex: posCheckId - `data.checkIds.vendorName` (string, required) The name of the vendor from which the check ID originated. If location is single-vendor or does not have a POS, defaults to "Default Vendor". - `data.loyaltyCheckIds` (string, required) The IDs of the loyalty check from loyalty integrations (if any). Absent if loyalty doesn't exist or order was not checked into loyalty. - `data.isCancelled` (boolean, required) Indicates if the order was cancelled after it was closed. - `data.orderNumber` (string, required) Sequential client ID that loops around. - `data.items` (array, required) Items of the order. - `data.items.specialRequest` (string) A special request that the guest added for this menu item. The max length of this field depends on the specific POS. - `data.items.vendorName` (string, required) The name of the vendor from which the item originated. If location is single-vendor or does not have a POS, defaults to "Default Vendor". - `data.items.scannedBarcode` (string) Value of the barcode that was scanned at the kiosk to add this menu item to the order. - `data.items.posId` (string) ID of the item on the POS. Absent if item does not come from a POS. - `data.items.name` (string, required) Name of the menu item as it appeared on the menu. - `data.items.price` (integer, required) Final price of the item (in cents) that accounts for quantity but not including any priced modifiers. - `data.items.quantity` (integer, required) Quantity of the menu item ordered. - `data.items.unitPrice` (integer, required) Price of a single unit of the menu item in cents (given the ordered price option). - `data.items.saleUnit` (integer) Sale unit: * 0 - single unit * 2 - pounds * 3 - ounces - `data.items.addToCartSource` (string, required) A short description of how the item was added to the cart. - `data.items.weight` (number) - `data.items.section` (object, required) The section of the menu from which the item originated. - `data.items.section.name` (string, required) The name of the section. - `data.items.section.posId` (string) ID of the section on the POS. Absent if section does not come from a POS. - `data.items.modGroups` (array, required) Mod groups of the item. - `data.items.modGroups.posId` (string) ID of the mod group on the POS. Absent if mod group does not come from a POS. - `data.items.modGroups.name` (string, required) Name of the mod group as it appears on the menu. - `data.items.modGroups.mods` (array, required) Ordered mods of the mod group. - `data.items.modGroups.mods.posId` (string) ID of the mod on the POS. Absent if mod does not come from a POS. - `data.items.modGroups.mods.name` (string, required) Name of the modifier as it appears on the menu. - `data.items.modGroups.mods.addToCartSource` (string) A short description of how the mod was added to the cart. Only available if mod was selected through recommendations. - `data.items.modGroups.mods.modGroups` (array, required) Mod groups of the mod. - `data.subTotal` (integer, required) The order sub total in cents. - `data.taxTotal` (integer, required) The amount of tax collected on the order in cents. - `data.tipTotal` (integer, required) The tip amount on the order in cents. - `data.discountNames` (array, required) Names of the discounts applied to the order. - `data.discountTotal` (integer, required) The amount discounted from the order sub total in cents. - `data.total` (integer, required) The total amount that the guest paid in cents. This number includes the tip. - `data.refundedAmount` (integer, required) Amount refunded from order in cents. - `data.transactions` (array, required) Transactions of the order. - `data.transactions.cardType` (string, required) The type of the card used by the transaction. ex: Visa, Gift Card - `data.transactions.transactionType` (string, required) The type of the transaction. Enum: "sale", "refund" - `data.transactions.amount` (integer, required) The amount of the transaction in cents. - `data.transactions.lastFour` (string) Last four digits of card used in transaction. Absent if a card was not used, such as by paying in cash. - `data.transactions.gateway` (string, required) The gateway used to process the transaction. ex: Stripe, Worldpay - `data.transactions.cardEntryMethod` (string, required) The method used to used the card during the transaction. ex: Swipe, Google Pay - `data.orderUrl` (string, required) A URL pointing to the Bite Admin entry of the order. - `data.futureOrderTime` (string) The time the customer is expected to pickup an order, in ISO with timezone offset. Only available if the order is a future-order. - `data.outpostDeliveryLocation` (string) The name of the outpost. Only available if the dining option is an Outpost dining option. - `data.deliveryAddress` (object) The delivery address for this order. This value is required if this is a delivery address. - `data.deliveryAddress.line1` (string, required) - `data.deliveryAddress.line2` (string) - `data.deliveryAddress.city` (string, required) - `data.deliveryAddress.state` (string) - `data.deliveryAddress.postalCode` (string, required) - `data.tableNumber` (string) Number of the table or table tent that the order is associated with. - `data.isTaxExempt` (boolean, required) Whether or not the order is tax exempt - `data.serviceChargeTotal` (integer, required) The sum of all the service charges added to the order in cents. - `data.serviceCharges` (array, required) A list of all the service charges added to the order. If this property is available, then serviceChargeTotal is definitely available on the order. However, this property may not be available even if there is a serviceChargeTotal because not every POS will provide a breakdown of the service charges. - `data.serviceCharges.name` (string, required) A name of the service charge as it should appear on the receipt. - `data.serviceCharges.amount` (integer, required) The amount of the service charge in cents. - `data.redeemedLoyaltyReward` (boolean) Whether or not the guest redeemed a loyalty reward for the order. - `data.guest` (object, required) Info about the guest who placed the order. - `data.guest.guestId` (string, required) Bite ID of the guest. - `data.guest.name` (string) Name of the guest. Only available if the Guest Name identifier was used. - `data.guest.email` (string) Email of the guest. Only available if the guest requested the receipt to be emailed after placing their order or if it was provided during payment. - `data.guest.phoneNumber` (string) Phone Number of the guest. Only available if the Guest Vehicle identifier was used. - `data.guest.vehicle` (object) Info about the guest's vehicle. Only available if the Guest Vehicle identifier was used. - `data.guest.vehicle.make` (string, required) Make of the guest's vehicle. - `data.guest.vehicle.model` (string, required) Model of the guest's vehicle. - `data.guest.vehicle.color` (string, required) Color of the guest's vehicle. - `data.guest.satisfactionScore` (integer) How satisfied the guest was with their experience. Only available if the guest completed the survey. - `data.guest.satisfactionMaximum` (integer) The maximum possible satisfaction score for the survey. Only available if the guest completed the survey. - `data.guest.ageRange` (string) An approximate age range of the guest. Only available if the guest used facial recognition. ex: 22 - 28 - `data.guest.gender` (string) A calculated guess as to the gender of the guest. Only available if the guest used facial recognition. Enum: "M", "F" - `data.guest.consentedToMarketing` (boolean) Whether the guest consented to marketing. Only present if the location os configured to ask the guest for consent. The guest may be asked while submitting their email address or phone number. - `data.selectedLanguage` (string) The language the guest selected for their order. Only available if the guest selected a language. - `data.loyaltyIds` (array, required) The IDs of the guest's loyalty account. If the array is empty, then the guest did not connect a loyalty account. There may be multiple entries if the guest used multiple methods of connecting to their account. - `data.loyaltyIds.value` (string, required) The loyalty ID value. - `data.loyaltyIds.entryMethod` (string, required) How the information connecting a guest to their loyalty account was collected. Enum: "barcode-scanned", "card-number-manually-entered", "email-manually-entered", "email-and-password-manually-entered", "email-and-phone-number-manually-entered", "email-and-phone-number-provided-externally", "phone-number-manually-entered", "phone-number-provided-externally", "redemption-code-manually-entered", "unknown-manually-entered", "username-and-password-manually-entered" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 429 fields ## Response 500 fields